### Method

# Gtk TreeViewexpand_row

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_tree_view_expand_row (
      GtkTreeView* tree_view,
      GtkTreePath* path,
      gboolean open_all
    )

#### Description [src]

Opens the row so its children are visible.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`path`

  Type: `GtkTreePath`

  Path to a row.

  The data is owned by the caller of the method.

`open_all`

  Type: `gboolean`

  Whether to recursively expand, or just expand immediate children.

#### Return value

Type: `gboolean`

`TRUE` if the row existed and had children.